SPLIT(1)

NUME
split - împarte un fișier în bucăți

SINOPSIS
split [OPȚIUNE]... [FIȘIER [PREFIX]]

DESCRIERE

Scrie bucăți de dimensiune fixă din FIȘIER în PREFIXaa, PREFIXab, PREFIXac, ...; dimensiunea implicită este de 1000 de linii, iar PREFIXUL implicit este „x”.

Fără FIȘIER, sau când FIȘIER este „-”, citește intrarea standard.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-a, --suffix-length=N
    generează sufixe de lungime N (implicit 2)

--additional-suffix=SUFIX
    adaugă un SUFIX suplimentar la numele fișierelor

-b, --bytes=DIM
    pune DIM octeți per fișier de ieșire

-C, --line-bytes=DIM
    pune cel mult, DIM octeți pe liniile fișierului, per fișier de ieșire

-d  utilizează sufixe numerice care încep de la 0, nu alfabetice

--numeric-suffixes[=DE_LA]
    la fel ca „-d”, dar permite alegerea valorii de pornire

-x  utilizează sufixe hexazecimale care încep de la 0, nu alfabetice

--hex-suffixes[=DE_LA]
    la fel ca „-x”, dar permite alegerea valorii de pornire

-e, --elide-empty-files
    nu generează fișiere de ieșire goale cu „-n”

--filter=COMANDA
    scrie COMANDA în shell; numele fișierului este $FILE

-l, --lines=NUMĂR
    pune NUMĂR de linii/înregistrări per fișier de ieșire

-n, --number=BUCĂȚI
    generează BUCĂȚI fișiere de ieșire; a se vedea legenda de mai jos

-t, --separator=SEP
    utilizează SEP în loc de linie nouă ca separator de înregistrări; „\0” (zero) specifică caracterul NUL

-u, --unbuffered
    copiază imediat intrarea la ieșire cu „-n r/...”

--verbose
    afișează un diagnostic chiar înainte ca fiecare fișier de ieșire să fie deschis

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Argumentul DIMENSIUNE este compus dintr-un număr întreg și o unitate opțională (exemplu: 10K este 10*1024). Unitățile sunt K,M,G,T,P,E,Z,Y,R,Q (puteri de 1024) sau KB,MB,... (puteri de 1000). Prefixele binare pot fi folosite, de asemenea: KiB=K, MiB=M ș.a.m.d.

  BUCĂȚI pot fi:

N   împarte în N fișiere în funcție de dimensiunea intrării

K/N afișează K de N ori la ieșirea standard

l/N împarte în N fișiere, fără să împartă liniile/înregistrările

l/K/N
    afișează K de N ori la ieșirea standard, fără să împartă liniile/înregistrările

r/N ca „l/*”, dar folosește distribuția „round robin”

r/K/N
    la fel, dar doar afișează K de N ori la ieșirea standard

-n (cu excepția -nr) va stoca în spațiul tampon(buffer) în $TMPDIRI, implicit în /tmp, dacă dimensiunea intrării nu poate fi determinată cu ușurință.

AUTOR
Scris de Torbjorn Granlund și Richard M. Stallman.

RAPORTAREA ERORILOR
Raportați erorile la: bug-coreutils@gnu.org
Pagina principală a GNU coreutils: <https://www.gnu.org/software/coreutils/>
Ajutor general pentru utilizarea software-ului GNU: https://www.gnu.org/gethelp/
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/split>
sau local rulând comanda: «info '(coreutils) split invocation'»

Împachetat de Debian (9.10-1)
Drepturi de autor © 2026 Free Software Foundation, Inc.
Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți.
Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.